Virtual layer with spaces in layer name not created
Status: Open

Priority: Normal

Assignee:

Category: Virtual Layers

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26600

Description

If you try to create a virtual layer from existing project layer that has spaces in layer name (like “My layer”) you'll receive an error when

pressing `Check` button in ‘Creating of Virtual layer’ dialog. Layer won't be created. Dropping spaces gives positive result.

History

#1 - 2018-04-12 01:55 AM - Nyall Dawson

- Status changed from Open to Feedback

No error here - are you enclosing the table name in double quotes? Can you post more info?

#2 - 2018-04-19 01:13 AM - Nikolay Lebedev

- File Screenshot 2018-04-19 02.08.50.png added

Virtual layer is being chosen from layer list and doesn't have quotes by default. Check button returns an error (see screenshot). Adding double quotes does

help, but it's not an obvious solution.

#3 - 2018-08-16 12:08 AM - Giovanni Manghi

- Status changed from Feedback to Open

Files

Screenshot 2018-04-19 02.08.50.png 6.77 KB 2018-04-18 Nikolay Lebedev
